VST 3 SDK: EventList Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | Protected Attributes | List of all members
EventList Class Reference
Common SDK Implementation Helper Classes

Example implementation of IEventList. More...

`#include <eventlist.h>`

Inheritance diagram for EventList:

## Public Member Functions
| EventList (int32 maxSize=50)
virtual | ~EventList ()
int32 | getEventCount () SMTG_OVERRIDE
tresult | getEvent (int32 index, Event &e) SMTG_OVERRIDE
tresult | addEvent (Event &e) SMTG_OVERRIDE
void | setMaxSize (int32 maxSize)
void | clear ()
Event * | getEventByIndex (int32 index) const
virtual int32 | getEventCount ()=0
virtual tresult | getEvent (int32 index, Event &e)=0
virtual tresult | addEvent (Event &e)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Attributes
Event * | events {nullptr}
int32 | maxSize {0}
int32 | fillCount {0}

## Additional Inherited Members
Static Public Attributes inherited from IEventList
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Example implementation of IEventList.

## Constructor & Destructor Documentation

## ◆ EventList()

EventList | ( | int32 | maxSize = `50` | ) |

## ◆ ~EventList()

~EventList | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getEventCount()

int32 getEventCount | ( |  | ) |
| inlinevirtual

Implements IEventList.

## ◆ getEvent()

tresult getEvent | ( | int32 | index,
|  | Event & | e
| ) |  |
| virtual

Implements IEventList.

## ◆ addEvent()

tresult addEvent | ( | Event & | e | ) |
| virtual

Implements IEventList.

## ◆ setMaxSize()

void setMaxSize | ( | int32 | maxSize | ) |

## ◆ clear()

void clear | ( |  | ) |
| inline

## ◆ getEventByIndex()

Event * getEventByIndex | ( | int32 | index | ) | const

## Member Data Documentation

## ◆ events

Event* events {nullptr}
| protected

## ◆ maxSize

int32 maxSize {0}
| protected

## ◆ fillCount

int32 fillCount {0}
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.